#include <bits/stdc++.h>
#define p first
#define a second

using namespace std;
typedef long long ll;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    int n; cin >> n;
    vector<pair<double,double>> x(n);
    for (int i = 0; i < n; i++) {
        cin >> x[i].a >> x[i].p;
    }
    sort(x.begin(), x.end());
    double d = 0, s = 0;
    for (int i = n - 1; i >= 0; i--) {
        s += x[i].a;
        d = max(d, s * x[i].p);
    }
    cout << fixed << showpoint <<
    setprecision(4) << d * 0.01 << endl;
    return 0;
}